Subject: Re: [mobile-ip] Simple Analysis of Mobile IP v4

From: "s. goswami" <[email-masked]>
Date: Mon, 16 Sep 2002 14:23:58 -0400 (EDT)

As for GPS enabled locations, these are not going to work
inside large  buildings - hence of limited use as
most 802.11 networks are located inside buldings.

As for the UMD paper you mentioned, that is somewhat irrelevant to
what I was saying in my draft. All I was saying is if the FA has
a large visitor table, then additional latency would be incurred
during handoffs. This additional latency is on top on any
L2 latency and AAA server related latenciesa. Also, if you have
noticed the title of the draft was " Simple Analysis of Mobile IP v4",
not 802.11 as you seem to have assumed.

Actually the load on FA would be even worse during normal data
transfer (after registration) as it would have to detunnel every
IP packet by looking into a table with 64K entries (for 64K visitors).

Subrata

n Mon, 16 Sep 2002, Gerald Maguire wrote:

>     Thanks Chip, that is better.
> What is better?
>
>     The GPS enabled location information
>     is in academic research stage now - but going back to you argument
>     of cost would not that increase the cost of MN ? How about the privacy
>     issues ?
>
> GPS exists in single chip form factors (see for example:
>     Fastrax Ltd, http://www.fastrax.fi
>     SiRF Technology, Inc., http://www.sirf.com
> (The last I knew Nokia was an investor in SiRF.)
> The question is more one of power rather than cost.
>
> In Sweden and Finland location privacy is protected by law. It
> requires a court order or the user's written permission to reveal
> their location. This is also the direction of the EU laws and policy
> in this regard. For the details see the upcoming dissertation by
> Alberto Escudeo (http://www.it.kth.se/~aep).
>
>     Can mobile opertos track their users ? That is news to me, as all
>     carriers
>     are paying fines for not doing E911.
>
> Qualcom has been able to track their users since day one (because of
> the very precise timing their base stations do). Ericsson among others
> sells mobile location systems for GSM. {I have former students who
> sell gaming software (used by several operators) which uses this
> information to allow players to "play" in real space, based on the
> location of the mobile phone.}
>
> As to the FCC E911 requirement - meeting or not meeting this is more
> an economic than a technical problem.
>
>     As for latency, the paper says it is the 802.11 Probe frames that take
>     most time because of the backoff/wait algorithms used by the NIC. So
>     that
>     can be corrected.
>
> Please note that the paper: Arunesh Mishra, Minho Shin, and William Arbaugh,
> "An Empirical Analysis of the IEEE 802.11 MAC Layer Handoff Process"
> is _only_ about MAC layer handover and does _not_ examine any of the
> network layer issues such as DHCP, AAA, etc.
>
> Chip
>

---

From: "s. goswami" <[email-masked]>
Date: Mon, 16 Sep 2002 16:20:33 -0400 (EDT)

The mimimum cost of a Cajun P550 system was used to be
$20,000 and it did not include a RFC2002 FA.  The P550 chassis
fabric can do 45Gbps and 18 mpps. That would be less than the
64Gbps needed to support the 64K MN's with 1Mbps need, by the way.

Are they still selling the switch ? Does not look like.

As for position info, the ehaku approach looks promising. Although
it comes with the penality of static environment and rather
long manual calibration time. Moreover , it appears that they depend on
RSSI value, which can be distorted if an AP is moved or if a large
object moves in. Finally, the MN needs to provide the RSSI values.
How is that done - needs extra software on the MN.

Subrata

On Mon, 16 Sep 2002, Gerald Maguire wrote:

> See the work of:
> http://www.ekahau.com/
> and
>  Victor Bahl, Venkat Padmanabham, Anand Balachandran,
>  "Location-Aware Services in an In-Building Environment",
>  http://research.microsoft.com/users/bahl/present/radar01.pdf
>
>   Paramvir Bahl and Venkata Padmanabhan. RADAR: An in-building RFbased
>   user location and tracking system. In Proceedings of IEEE INFOCOM,
>   volume 2, pages 775{784, March 2000.
>
>   Jeffrey Hightower, Roy Want, and Gaetano Borriello. SpotON: An indoor
>   3d location sensing technology based on RF signal strength. UW-CSE
>   00-02-02, University of Washington, Department of Computer Science and
>   Engineering, Seattle, WA, February 2000.
>
> and in Germany: http://www.lesswire.de/
>
> As I've established earlier the lookup time is not a bottleneck.
>
> See for example the Lucent P550 Cajun Switch Core which does a lookup
> on an ethernet MAC address _while_ it is receiving the rest of the
> packet - it support 24,000 MAC addresses.
> (see http://www.bachert.de/support/info/cajun/whitepaper/p550/p550ether_switching.pdf)
>  each ASIC processes over 1,488,000 lookups per second.
>
> They also support 240,000 unique fine-grained routes per switch. Where
> the route can be based on layer 3 and 4 (TCP or UDP port numbers)
> information and each route can have its own unique destination and
> QoS.
>
> "... typical latency for the P550 is under 10 microseconds; with Gigabit
> Ethernet traffic latency is as low as 3.5 microseconds. Fast Ethernet
> traffic has a minimum latency of 8.5 microseconds. ..."
>
> )
>
> So I don't think 64K visitors is going to be a big problem even for
> very fast WLAN access points.
>
> Chip
>

---

From: "s. goswami" <[email-masked]>
Date: Mon, 16 Sep 2002 17:36:16 -0400 (EDT)

You are using Linux with Mobile Extensions - that is fine. But , how
does Ehaku get the RSSI over to the AP ? It is not carried in any of the
802.11 frames, is it ? Implies they  have proprietary protocol
defined between the MN and the AP, right ?  Also remember that Mobile IP
does not need an wireless link to work.

For cut-through routing you need specialized hardware , do not you ?
Sure you can build a $5000 FA - but is not that more expensive than your
gateway router ?

Subrata

On Mon, 16 Sep 2002, Gerald Maguire wrote:

> The key point is that the address lookup happens in _parallel_ with the
> _receiving_ of the rest of the packet. Ideally this leads to
> cut-through routing (if the output port is available when the payload
> arrives).
>
> To support the 64MNs each at 1Mbps the fixed subnet would also have to
> support the 64Gbps throughput and there would have to be enough
> outgoing bandwidth from the APs to send this traffic on to the MNs.
>
> RSSI comes from the WLAN extension see Jean Tourrilhes'
> Linux Wireless Extension and the Wireless Tools
>    http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
>
> Most indoor APs rarely move - since they are generally attached to
> both power and the fixed network structure. Although in experiments we
> have attached APs to 100m long ethernet cables and very long power
> cables, then put them on carts to move them around easily. But this is
> generally done to find a good place to locate the AP and once done the
> APs tend to stay in place for a year or so.
>
> Chip
>